Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/REST/Client/Values/User/UserGroupRoleAssignment.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client\Values\User;
8
9 use eZ\Publish\API\Repository\Values\User\UserGroupRoleAssignment as APIUserGroupRoleAssignment;
10
17 class UserGroupRoleAssignment extends APIUserGroupRoleAssignment
18 {
20 protected $role;
21
23 protected $userGroup;
24
26 protected $limitation;
27
33 public function getRoleLimitation()
34 {
35 return $this->limitation;
36 }
37
43 public function getRole()
44 {
45 return $this->role;
46 }
47
53 public function getUserGroup()
54 {
55 return $this->userGroup;
56 }
57 }
eZ\Publish\API\Repository\Values\User\UserGroupRoleAssignment
Definition: API/Repository/Values/User/UserGroupRoleAssignment.php:15
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment
Implementation of the \eZ\Publish\API\Repository\Values\User\UserGroupRoleAssignment class.
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:18
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\getRole
getRole()
Returns the role to which the user or user group is assigned to.
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:43
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\$userGroup
$userGroup
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:23
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\$role
$role
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:20
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\getUserGroup
getUserGroup()
Returns the user group to which the role is assigned to.
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:53
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\$limitation
$limitation
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:26
eZ\Publish\Core\REST\Client\Values\User\UserGroupRoleAssignment\getRoleLimitation
getRoleLimitation()
Returns the limitation of the role assignment.
Definition: Core/REST/Client/Values/User/UserGroupRoleAssignment.php:33
eZ\Publish\Core\REST\Client\Values\User
Definition: Core/REST/Client/Values/User/Policy.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.